zita-alsa-pcmi(1)

NAME
alsa_delay - measure round-trip latency of a soundcard

SYNOPSIS
alsa_delay playdev captdev fsamp frsize nfrags

DESCRIPTION
This tool can be used to measure the round-trip latency of a soundcard. To do this, start the program and connect like this:
  alsa_delay -> playdev -> cable from soundcard output to input -> captdev -> alsa_delay

alsa_delay should be able to measure the round-trip latency with an accuracy of around 1/1000 of a sample. The assumption is, that the latency is more or less independent of frequency, and that the cable between soundcard output and input has virtually zero latency.

ARGUMENTS

playdev
    ALSA playback device (e.g.: hw:0)

captdev
    ALSA capture device (e.g.: hw:0)

fsamp
    Sample rate (e.g.: 48000)

frsize
    Period size (e.g.: 256)

nfrags
    Number of fragments (e.g.: 2)

EXAMPLES
This will measure and display the round-trip latency of soundcard hw:0 using 48kHz samplerate, and 10 fragments each 2048 samples.
  alsa_delay hw:0 hw:0 48000 2048 10

NOTES
alsa_delay is a port of jack_delay (by the same author) to ALSA.

AUTHOR
zita-alsa-pcmi was written by Fons Adriaensen <fons@linuxaudio.org>.

This manual page was written by IOhannes m zmoelnig <zmoelnig@iem.at> for the Debian project (but may be used by others).